## luacheck 0.24.0

=== build/Makefile ===
# Makefile for (cross)compiling luacheck binaries.
# Do not use directly, run scripts/build-binaries.sh instead.

LUA_VERSION= 5.3.5
LFS_VERSION= 1.7.0-2
ARGPARSE_VERSION= 0.6.0-1
LANES_VERSION= 3.10.1-1

LUA_DIR= lua-$(LUA_VERSION)
LFS_DIR= luafilesystem-$(LFS_VERSION)/luafilesystem
ARGPARSE_DIR= argparse-$(ARGPARSE_VERSION)/argparse
LANES_DIR= lanes-$(LANES_VERSION)/lanes

BASE_CC= gcc
BASE_AR= ar rc
BASE_RANLIB= ranlib
BASE_STRIP= strip

CROSS=
CC= $(CROSS)$(BASE_CC)
CFLAGS= -O2 -Wall -Wextra
AR= $(CROSS)$(BASE_AR)
RANLIB= $(CROSS)$(BASE_RANLIB)
STRIP= $(CROSS)$(BASE_STRIP)

SUFFIX=
TARGET= bin/luacheck$(SUFFIX)

LUA_O= $(patsubst %.c,%.o,$(filter-out $(addprefix $(LUA_DIR)/src/,lua.c luac.c print.c),$(wildcard $(LUA_DIR)/src/*.c)))
LUA_A= $(LUA_DIR)/src/liblua.a
LFS_O= $(patsubst %.c,%.o,$(wildcard $(LFS_DIR)/src/*.c))
LFS_A= $(LFS_DIR)/src/lfs.a
LANES_O= $(patsubst %.c,%.o,$(wildcard $(LANES_DIR)/src/*.c))
LANES_A= $(LANES_DIR)/src/lanes.a

default:	$(TARGET)

$(LUA_DIR):
	@echo
	@echo "=== Downloading Lua $(LUA_VERSION) ==="
	@echo
	curl "https://www.lua.org/ftp/$(LUA_DIR).tar.gz" | tar xz

$(LFS_DIR):
	@echo
	@echo "=== Downloading LuaFileSystem $(LFS_VERSION) ==="
	@echo
	luarocks unpack luafilesystem $(LFS_VERSION)

$(ARGPARSE_DIR):
	@echo
	@echo "=== Downloading argparse $(ARGPARSE_VERSION) ==="
	@echo
	luarocks unpack argparse $(ARGPARSE_VERSION)

$(LANES_DIR):
	@echo
	@echo "=== Downloading Lanes $(LANES_VERSION) ==="
	@echo
	luarocks unpack lanes $(LANES_VERSION)

fetch:	$(LUA_DIR) $(LFS_DIR) $(ARGPARSE_DIR) $(LANES_DIR)

$(LUA_O):	CFLAGS+= $(if $(LINUX),-DLUA_USE_POSIX)
$(LUA_A):	$(LUA_O)
$(LFS_O):	CFLAGS+= -I$(LUA_DIR)/src
$(LFS_A):	$(LFS_O)
$(LANES_O):	CFLAGS+= -I$(LUA_DIR)/src
$(LANES_A):	$(LANES_O)

%.a:
	$(AR) $@ $^
	$(RANLIB) $@

luacheck.luastatic.c: $(LUA_A) $(LFS_A) $(LANES_A)
	cp $(LUA_A) .
	cp $(LFS_A) .
	cp $(ARGPARSE_DIR)/src/argparse.lua .
	cp $(LANES_A) .
	cp $(LANES_DIR)/src/lanes.lua .
	cp -r ../src/luacheck .
	CC="" luastatic bin/luacheck.lua luacheck/*.lua luacheck/*/*.lua luacheck/*/*/*.lua argparse.lua lanes.lua liblua.a lfs.a lanes.a

$(TARGET):	luacheck.luastatic.c
	$(CC) $(if $(LINUX),-static) -Os $< $(LUA_A) $(LFS_A) $(LANES_A) -I$(LUA_DIR)/src -lm $(if $(LINUX),-lpthread) -o $@
	$(STRIP) $@

clean:
	rm -f $(TARGET) luacheck.luastatic.c
	rm -f $(LUA_O) $(LUA_A) $(LFS_O) $(LFS_A) $(LANES_O) $(LANES_A)
	rm -f argparse.lua lanes.lua liblua.a lfs.a lanes.a
	rm -rf luacheck

.PHONY: default fetch clean

## luacheck 0.11.1+dfsg

=== debian/changelog ===
luacheck (0.11.1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #776473)

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Mon, 17 Aug 2015 20:14:13 +0200

=== debian/control ===
Source: luacheck
Section: interpreters
Priority: optional
Maintainer: Victor Seva <linuxmaniac@torreviejawireless.org>
Uploaders: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8~),
               dh-lua (>= 16~),
               python-sphinx,
               python-sphinx-rtd-theme
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-lua/lua-check.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lua/lua-check.git
Homepage: https://github.com/mpeterv/luacheck

Package: lua-check
Architecture: all
Depends: lua5.1,
         lua-filesystem,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: static analyzer and a linter for the Lua language
 Luacheck is a static analyzer and a linter for Lua which
 detects issues such as usage of undefined global variables,
 unused variables and values, etc. It is fairly configurable
 and can be used as a part of automated testing, manually
 from the command line or inside an editor.

## luacheck 0.12.0

=== debian/changelog ===
luacheck (0.12.0-1) unstable; urgency=medium

  * [26b1a28] Imported Upstream version 0.12.0
  * [521f92a] remove python-sphinx-rtd-theme as Build-Depends

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Mon, 02 Nov 2015 21:42:09 +0100

## luacheck 0.13.0

=== debian/changelog ===
luacheck (0.13.0-1) unstable; urgency=medium

  * [aac2fd3] Imported Upstream version 0.13.0

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Tue, 12 Jan 2016 22:15:12 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Uploaders: Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends: debhelper (>= 8~),
                dh-lua (>= 16~),
-               python-sphinx,
-               python-sphinx-rtd-theme
+               python-sphinx
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-lua/lua-check.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lua/lua-check.git

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/mpeterv/luacheck/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## luacheck 0.15.0

=== debian/changelog ===
luacheck (0.15.0-1) unstable; urgency=medium

  * [c141c2a] Imported Upstream version 0.15.0
  * [b3a030a] remove already merged patch

 -- Victor Seva <vseva@debian.org>  Sun, 15 May 2016 10:27:12 +0200

luacheck (0.14.0-1) unstable; urgency=medium

  * [719247c] Imported Upstream version 0.14.0
  * [9af716a] Update Standards-Version to 3.9.7
  * [5127495] switch to vseva@debian.org \o/
  * [c066be6] switch to https at Vcs-Git: vcs-field-uses-insecure-uri
  * [385376a] add fix for typos in manpage

 -- Victor Seva <vseva@debian.org>  Mon, 29 Feb 2016 16:45:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: luacheck
 Section: interpreters
 Priority: optional
-Maintainer: Victor Seva <linuxmaniac@torreviejawireless.org>
+Maintainer: Victor Seva <vseva@debian.org>
 Uploaders: Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends: debhelper (>= 8~),
                dh-lua (>= 16~),
                python-sphinx
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-lua/lua-check.git
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/git/pkg-lua/lua-check.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lua/lua-check.git
 Homepage: https://github.com/mpeterv/luacheck

## luacheck 0.16.1

=== debian/changelog ===
luacheck (0.16.1-1) unstable; urgency=medium

  * [9b15396] New upstream version 0.16.1

 -- Victor Seva <vseva@debian.org>  Fri, 21 Oct 2016 10:48:33 +0200

luacheck (0.15.1-1) unstable; urgency=medium

  * [eb448d5] New upstream version 0.15.1
  * [4a27ac4] update Standards-Version, no changes needed

 -- Victor Seva <vseva@debian.org>  Tue, 20 Sep 2016 09:27:51 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 8~),
                dh-lua (>= 16~),
                python-sphinx
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-lua/lua-check.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lua/lua-check.git
 Homepage: https://github.com/mpeterv/luacheck

## luacheck 0.16.3

=== debian/changelog ===
luacheck (0.16.3-1) unstable; urgency=medium

  * [45cc388] New upstream version 0.16.3
  * [79abb01] fix package-uses-deprecated-debhelper-compat-version

 -- Victor Seva <vseva@debian.org>  Tue, 08 Nov 2016 19:04:58 +0100

## luacheck 0.17.0

=== debian/changelog ===
luacheck (0.17.0-1) unstable; urgency=medium

  * [d416e9f] New upstream version 0.17.0

 -- Victor Seva <vseva@debian.org>  Mon, 21 Nov 2016 15:30:39 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Victor Seva <vseva@debian.org>
 Uploaders: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: debhelper (>= 8~),
+Build-Depends: debhelper (>= 9~),
                dh-lua (>= 16~),
                python-sphinx
 Standards-Version: 3.9.8

## luacheck 0.17.1

=== debian/changelog ===
luacheck (0.17.1-1) unstable; urgency=medium

  * [b558e7b] New upstream version 0.17.1

 -- Victor Seva <vseva@debian.org>  Thu, 22 Dec 2016 14:44:58 +0100

## luacheck 0.20.0

=== debian/changelog ===
luacheck (0.20.0-1) unstable; urgency=medium

  * [de2d75c] New upstream version 0.20.0

 -- Victor Seva <vseva@debian.org>  Wed, 17 May 2017 10:57:14 +0200

## luacheck 0.21.1

=== debian/changelog ===
luacheck (0.21.1-1) unstable; urgency=medium

  * [a7cd4a8] New upstream version 0.21.1
  * [f173518] upgrade to Standards-Version 4.1.1, no changes needed
  * [ce171d7] fix lintian build-depends-on-python-sphinx-only
  * [5aac3dd] fix typo on manpage

 -- Victor Seva <vseva@debian.org>  Mon, 06 Nov 2017 09:37:35 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends: debhelper (>= 9~),
                dh-lua (>= 16~),
-               python-sphinx
-Standards-Version: 3.9.8
+               python3-sphinx
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-lua/lua-check.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lua/lua-check.git
 Homepage: https://github.com/mpeterv/luacheck

## luacheck 0.22.0

=== debian/changelog ===
luacheck (0.22.0-1) unstable; urgency=medium

  * update Vcs-* urls to salsa
  * update Standards-Version to 4.1.4 (no changes)
  * New upstream version 0.22.0
  * remove already applied upstream patch

 -- Victor Seva <vseva@debian.org>  Thu, 21 Jun 2018 11:12:00 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 9~),
                dh-lua (>= 16~),
                python3-sphinx
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-lua/lua-check.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lua/lua-check.git
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/lua-team/lua-check.git
+Vcs-Browser: https://salsa.debian.org/lua-team/lua-check
 Homepage: https://github.com/mpeterv/luacheck
 
 Package: lua-check

## luacheck 0.23.0

=== debian/changelog ===
luacheck (0.23.0-1) unstable; urgency=medium

  * New upstream version 0.23.0
  * add new source dir
  * wrap-and-sort -sat
  * update standards-version no changes needed
  * add argparse as depends

 -- Victor Seva <vseva@debian.org>  Fri, 19 Oct 2018 18:04:33 +0200

=== debian/control ===
Source: luacheck
Section: interpreters
Priority: optional
Maintainer: Victor Seva <vseva@debian.org>
Uploaders:
 Enrico Tassi <gareuselesinge@debian.org>,
Build-Depends:
 debhelper (>= 9~),
 dh-lua (>= 16~),
 python3-sphinx,
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/lua-team/lua-check.git
Vcs-Browser: https://salsa.debian.org/lua-team/lua-check
Homepage: https://github.com/mpeterv/luacheck

Package: lua-check
Architecture: all
Depends:
 lua-argparse,
 lua-filesystem,
 lua5.1,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: static analyzer and a linter for the Lua language
 Luacheck is a static analyzer and a linter for Lua which
 detects issues such as usage of undefined global variables,
 unused variables and values, etc. It is fairly configurable
 and can be used as a part of automated testing, manually
 from the command line or inside an editor.

## luacheck 0.24.0

=== debian/changelog ===
luacheck (0.24.0-2) unstable; urgency=medium

  * fix find lua files (Closes: #970844)

 -- Victor Seva <vseva@debian.org>  Thu, 24 Sep 2020 09:19:28 +0200

luacheck (0.24.0-1) unstable; urgency=medium

  * change upstream origin
  * New upstream version 0.24.0
  * update to debhelper 12, update Standards-Version and minor lintian fixes

 -- Victor Seva <vseva@debian.org>  Tue, 25 Aug 2020 13:44:53 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Uploaders:
  Enrico Tassi <gareuselesinge@debian.org>,
 Build-Depends:
- debhelper (>= 9~),
+ debhelper-compat (= 12),
  dh-lua (>= 16~),
  python3-sphinx,
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0.3
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/lua-team/lua-check.git
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-check
-Homepage: https://github.com/mpeterv/luacheck
+Homepage: https://github.com/luarocks/luacheck
 
 Package: lua-check
 Architecture: all
@@ -21,6 +22,7 @@
  lua5.1,
  ${misc:Depends},
  ${shlibs:Depends},
+ ${sphinxdoc:Depends},
 Provides:
  ${lua:Provides},
 XB-Lua-Versions: ${lua:Versions}

## luacheck 0.25.0

=== build/Makefile ===
--- 
+++ 
@@ -15,11 +15,13 @@
 BASE_AR= ar rc
 BASE_RANLIB= ranlib
 BASE_STRIP= strip
+BASE_NM= nm
 
 CROSS=
 CC= $(CROSS)$(BASE_CC)
 CFLAGS= -O2 -Wall -Wextra
 AR= $(CROSS)$(BASE_AR)
+NM= $(CROSS)$(BASE_NM)
 RANLIB= $(CROSS)$(BASE_RANLIB)
 STRIP= $(CROSS)$(BASE_STRIP)
 
@@ -72,23 +74,24 @@
 	$(AR) $@ $^
 	$(RANLIB) $@
 
-luacheck.luastatic.c: $(LUA_A) $(LFS_A) $(LANES_A)
+$(TARGET): $(LUA_A) $(LFS_A) $(LANES_A)
 	cp $(LUA_A) .
 	cp $(LFS_A) .
 	cp $(ARGPARSE_DIR)/src/argparse.lua .
 	cp $(LANES_A) .
 	cp $(LANES_DIR)/src/lanes.lua .
 	cp -r ../src/luacheck .
-	CC="" luastatic bin/luacheck.lua luacheck/*.lua luacheck/*/*.lua luacheck/*/*/*.lua argparse.lua lanes.lua liblua.a lfs.a lanes.a
-
-$(TARGET):	luacheck.luastatic.c
-	$(CC) $(if $(LINUX),-static) -Os $< $(LUA_A) $(LFS_A) $(LANES_A) -I$(LUA_DIR)/src -lm $(if $(LINUX),-lpthread) -o $@
-	$(STRIP) $@
+	cp -f bin/luacheck.lua bin/luacheck_bin.lua
+	CC=$(CC) NM=$(NM) RANLIB=$(RANLIB) luastatic bin/luacheck_bin.lua luacheck/*.lua luacheck/*/*.lua luacheck/*/*/*.lua argparse.lua lanes.lua $(LUA_A) $(LFS_A) $(LANES_A) -lm $(if $(LINUX),-lpthread) -I$(LUA_DIR)/src
+	rm luacheck_bin.luastatic.c
+	$(STRIP) luacheck_bin*
+	mv luacheck_bin* $(TARGET)
 
 clean:
 	rm -f $(TARGET) luacheck.luastatic.c
 	rm -f $(LUA_O) $(LUA_A) $(LFS_O) $(LFS_A) $(LANES_O) $(LANES_A)
-	rm -f argparse.lua lanes.lua liblua.a lfs.a lanes.a
+	rm -f argparse.lua lanes.lua lfs.a lanes.a liblua.a
 	rm -rf luacheck
+	rm -f luacheck_bin*
 
 .PHONY: default fetch clean

=== debian/changelog ===
luacheck (0.25.0-1) unstable; urgency=medium

  * lua team as maintainer (Closes: #995550)
  * New upstream version 0.25.0

 -- Victor Seva <vseva@debian.org>  Tue, 23 Nov 2021 16:04:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: luacheck
 Section: interpreters
 Priority: optional
-Maintainer: Victor Seva <vseva@debian.org>
+Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
 Uploaders:
- Enrico Tassi <gareuselesinge@debian.org>,
+ Victor Seva <vseva@debian.org>,
 Build-Depends:
  debhelper-compat (= 12),
  dh-lua (>= 16~),

## luacheck 0.26.1

=== debian/changelog ===
luacheck (0.26.1-1) unstable; urgency=medium

  * New upstream version 0.26.1

 -- Victor Seva <vseva@debian.org>  Mon, 27 Jun 2022 10:06:20 +0200

## luacheck 1.0.0

=== debian/changelog ===
luacheck (1.0.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 10 Dec 2022 11:53:47 +0000

luacheck (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0

 -- Victor Seva <vseva@debian.org>  Tue, 30 Aug 2022 09:58:39 +0200

## luacheck 1.1.0

=== build/Makefile ===
--- 
+++ 
@@ -1,14 +1,14 @@
 # Makefile for (cross)compiling luacheck binaries.
 # Do not use directly, run scripts/build-binaries.sh instead.
 
-LUA_VERSION= 5.3.5
-LFS_VERSION= 1.7.0-2
-ARGPARSE_VERSION= 0.6.0-1
-LANES_VERSION= 3.10.1-1
+LUA_VERSION= 5.4.4
+LFS_VERSION= 1.8.0-1
+ARGPARSE_VERSION= 0.7.1-1
+LANES_VERSION= 3.16.0-0
 
 LUA_DIR= lua-$(LUA_VERSION)
 LFS_DIR= luafilesystem-$(LFS_VERSION)/luafilesystem
-ARGPARSE_DIR= argparse-$(ARGPARSE_VERSION)/argparse
+ARGPARSE_DIR= argparse-$(ARGPARSE_VERSION)/argparse-$(ARGPARSE_VERSION:-1=)
 LANES_DIR= lanes-$(LANES_VERSION)/lanes
 
 BASE_CC= gcc

=== debian/changelog ===
luacheck (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0

 -- Victor Seva <vseva@debian.org>  Tue, 31 Jan 2023 08:56:35 +0100

## luacheck 1.1.2

=== debian/changelog ===
luacheck (1.1.2-1) unstable; urgency=medium

  * New upstream version 1.1.2

 -- Victor Seva <vseva@debian.org>  Mon, 08 Jan 2024 12:06:21 +0100

luacheck (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1

 -- Victor Seva <vseva@debian.org>  Mon, 02 Oct 2023 14:46:53 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Victor Seva <vseva@debian.org>,
 Build-Depends:
  debhelper-compat (= 12),
- dh-lua (>= 16~),
+ dh-lua,
  python3-sphinx,
 Standards-Version: 4.5.0.3
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua,sphinxdoc

override_dh_auto_clean:
	rm -rf docsrc/_build
	dh_auto_clean

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -btext docsrc/ \
		docsrc/_build/text # text generator
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman docsrc/ \
		docsrc/_build/man # Manpage generator

override_dh_auto_install:
	dh_installdocs docsrc/_build/text/*.txt
	dh_installman docsrc/_build/man/luacheck.1
	dh_auto_install
	dh_installdirs usr/bin
	dh_install bin/luacheck.lua usr/bin
	mv debian/lua-check/usr/bin/luacheck.lua debian/lua-check/usr/bin/luacheck

## luacheck 1.2.0

=== debian/changelog ===
luacheck (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0

 -- Victor Seva <vseva@debian.org>  Thu, 13 Jun 2024 15:03:03 +0200

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/luarocks/luacheck/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
